import { Calculator, PlusCircle, Sale03, Trash01 } from '@pisell/icon';
import { Button } from 'antd';
import React from 'react';
import { locales } from '@pisell/utils';
import "./index.less";
export function CartActions(_ref) {
  var _dataSource$items;
  var dataSource = _ref.dataSource;
  var disabled = !((_dataSource$items = dataSource.items) !== null && _dataSource$items !== void 0 && _dataSource$items.length);
  return /*#__PURE__*/React.createElement("section", {
    className: "pisell-sale-detail-cart-actions"
  }, /*#__PURE__*/React.createElement("div", {
    className: "pisell-sale-detail-cart-actions__buttons"
  }, /*#__PURE__*/React.createElement(Button, {
    className: "pisell-sale-detail-cart-actions__button pisell-sale-detail-cart-actions__button--clear",
    icon: /*#__PURE__*/React.createElement(Trash01, {
      size: 22
    }),
    onClick: function onClick() {},
    type: "text",
    disabled: disabled
  }), /*#__PURE__*/React.createElement(Button, {
    className: "pisell-sale-detail-cart-actions__button pisell-sale-detail-cart-actions__button--custom-item",
    icon: /*#__PURE__*/React.createElement(PlusCircle, {
      size: 22
    }),
    onClick: function onClick() {},
    type: "text",
    disabled: disabled
  }, locales.getText('pisell2.sale-detail.custom-item')), /*#__PURE__*/React.createElement(Button, {
    className: "pisell-sale-detail-cart-actions__button pisell-sale-detail-cart-actions__button--manual-order",
    icon: /*#__PURE__*/React.createElement(Calculator, {
      size: 22
    }),
    onClick: function onClick() {},
    type: "text",
    disabled: disabled
  }, locales.getText('pisell2.sale-detail.manual-order')), /*#__PURE__*/React.createElement("div", {
    className: "pisell-sale-detail-cart-actions__promotion-wrapper"
  }, /*#__PURE__*/React.createElement(Button, {
    className: "pisell-sale-detail-cart-actions__button pisell-sale-detail-cart-actions__button--promotion",
    icon: /*#__PURE__*/React.createElement(Sale03, {
      size: 22
    }),
    onClick: function onClick() {},
    type: "text"
  }, locales.getText('pisell2.sale-detail.promotion')))));
}